function x=lu_metoda(A,b)
% Metoda řešení soustavy Ax=b pomoci
% metody LU rozkladu matice A

clc;
tisk=sprintf('Metoda LU rozkladu pro reseni soustavy  Ax=b, kde ');
disp(tisk);
A
b

[L,U]=lu_rozklad(A)

n=size(L,1);
y=b;

for i=1:n
   for j=1:i-1
     y(i) = y(i) - L(i,j) * y(j);
   end
end 

x=y;

for i=n:-1:1
   for j=i+1:n
     x(i) = x(i) - U(i,j) * x(j); 
   end
   x(i) = x(i) / U(i,i);
end 

x